#ifndef RegularizeDialog_h
#define RegularizeDialog_h

// $Id: RegularizeDialog.h,v 1.1 2013/09/27 10:37:07 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"

#include <QSpinBox>

class RegularizeDialog: public CustomDialog
{

    public:

    //! constructor
    RegularizeDialog( QWidget* );

    //! destructor
    virtual ~RegularizeDialog( void )
    {}

    //! number of regularized markers
    int refPointCount( void ) const
    { return spinbox_->value(); }

    //! number of regularized markers
    void setRefPointCount( int value )
    { spinbox_->setValue( value ); }

    private:

    //! spinbox
    QSpinBox* spinbox_;

};

#endif
